LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 10-31-2006, 06:00 AM   #1
victorhooi
LQ Newbie
 
Registered: Oct 2005
Posts: 6

Rep: Reputation: 0
Gaim 2.0.0. beta 4: libdbus-glib error


heya,

Just thought I'd take a shot at compiling Gaim 2.0.0beta4 on my nice, shiny new Slackware 11.0 box =).

Anyway, the error given is:
Code:
/bin/sh ../../../libtool --silent --tag=CC --mode=link gcc  -g -g -O2   -o gevolution.la -rpath /usr/local/lib/gaim -module -avoid-version add_buddy_dialog.lo assoc-buddy.lo gevolution.lo gevo-util.lo new_person_dialog.lo eds-utils.lo -pthread -ledata-book-1.2 -lebook-1.2 -lgnome-2 -lpopt -ledataserver-1.2 -lgnomevfs-2 -lgobject-2.0 -lxml2 -lz -lgconf-2 -lbonobo-2 -lbonobo-activation -lORBit-2 -lm -lgmodule-2.0 -ldl -lgthread-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lnsl -lresolv
/usr/bin/sed: can't read /usr/lib/libdbus-glib-1.la: No such file or directory
libtool: link: `/usr/lib/libdbus-glib-1.la' is not a valid libtool archive
make[4]: *** [gevolution.la] Error 1
make[4]: Leaving directory `/home/victorhooi/gaim-2.0.0beta4/gtk/plugins/gevolution'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/victorhooi/gaim-2.0.0beta4/gtk/plugins'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/victorhooi/gaim-2.0.0beta4/gtk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/victorhooi/gaim-2.0.0beta4'
make: *** [all] Error 2
victorhooi@riv-cheron:~/gaim-2.0.0beta4$
I'm not quite sure what this is, dbus is installed, AFAIK (the frgnome stable version, to be precise).

Code:
root@riv-cheron:/etc/samba# slapt-get --search dbus
dbus-0.62-i486-2frg [inst=no]: dbus (Message Bus System)
dbus-sharp-0.62-i486-1frg [inst=no]: dbus-sharp (D-BUS Mono Bindings)
dbus-0.93-i486-1frg [inst=yes]: dbus (Message bus system)
Do I need some sort of dbus-dev package or something?

Thanks,
Victor
 
Old 10-31-2006, 01:06 PM   #2
ArcLinux
Member
 
Registered: Apr 2005
Location: Fargo, ND
Distribution: Slackware, CentOS
Posts: 87

Rep: Reputation: 20
you need to install d-bus... It is not installed with slackware.
 
Old 11-01-2006, 09:09 AM   #3
elp
Member
 
Registered: Aug 2003
Posts: 66

Rep: Reputation: 16
Strange, I have Slackware 11.0 installed here and compiled Gaim 2.0.0beta4 without any problems and sure has no dbus installed here. I build a slackpack with it, you can try my build if you want...
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
libdbus error lucky6969b Programming 2 05-23-2006 02:02 AM
xmms install (needs glib>1.22), just installed glib 2.4.8 and still get error message eskiled Linux - Software 2 12-19-2005 09:12 PM
Compiling GAIM says i need GLib 2.0, yet i have GLib 2.4 MadSkillzMan Linux - Newbie 3 07-10-2004 04:10 AM
Gaim .66 glib 2.0 error p1az Linux - Software 4 08-05-2003 11:32 AM
glib 2.0.0 and gaim 0.59 GT I.N.C Linux - Newbie 2 07-10-2002 12:10 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 10:20 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration